Skip to main content
Get Orders
curl --request GET \
  --url https://synthesis.trade/api/v1/wallet/sol/{wallet_id}/orders \
  --header 'X-API-KEY: <api-key>'
{
  "success": true,
  "response": [
    {
      "venue": "kalshi",
      "order": {
        "order_id": "d4e5f6a7-b8c9-0123-def0-123456789abc",
        "token_id": "BRjpCHtyQLeSRWyE1yTdBQbhLkny5oEnveRijBjRoiA",
        "side": "BUY",
        "type": "LIMIT",
        "amount": "50.000",
        "shares": "86.206",
        "filled": "86.206",
        "price": "0.58",
        "fee": {},
        "units": "USDC",
        "status": "FILLED",
        "created_at": "2026-01-01T00:00:00",
        "updated_at": "2026-01-01T00:00:00"
      },
      "event": {
        "series_id": "KXBTC",
        "event_id": "KXBTC-25",
        "title": "Bitcoin above $100,000 on Dec 31?",
        "sub_title": "Expires at year end",
        "slug": "bitcoin-above-100000-on-dec-31",
        "image": "https://example.com/kalshi-bitcoin.png",
        "tags": [
          "crypto",
          "bitcoin"
        ],
        "labels": [
          "crypto",
          "macro"
        ],
        "category": "Crypto",
        "active": true,
        "liquidity": "800000",
        "volume": "3000000",
        "live": {
          "is_active": true
        },
        "created_at": "2026-01-01T00:00:00",
        "updated_at": "2026-01-01T00:00:00",
        "ends_at": "2026-12-31T23:59:59"
      },
      "market": {
        "series_id": "KXBTC",
        "event_id": "KXBTC-25",
        "market_id": "KXBTC-25-T100000",
        "kalshi_id": "T100000",
        "title": "Bitcoin above $100,000?",
        "outcome": "Yes",
        "description": "Resolves Yes if Bitcoin settles above $100,000 on expiration.",
        "image": "https://example.com/kalshi-bitcoin-market.png",
        "left_outcome": "Yes",
        "right_outcome": "No",
        "left_price": "0.58",
        "right_price": "0.42",
        "left_token_id": "BRjpCHtyQLeSRWyE1yTdBQbhLkny5oEnveRijBjRoiA",
        "right_token_id": "F4r2GpoNU8MBMdKqP6MCBzKEHe2Mt8s5qm4GrFcJQnbJ",
        "winner_token_id": "",
        "active": true,
        "resolved": false,
        "claimable": false,
        "liquidity": "800000",
        "open_interest": "1200000",
        "volume": "3000000",
        "volume24hr": "175000",
        "dflow": {
          "enabled": true
        },
        "jupiter": true,
        "created_at": "2026-01-01T00:00:00",
        "updated_at": "2026-01-01T00:00:00",
        "ends_at": "2026-12-31T23:59:59"
      }
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

Account secret API key.

Path Parameters

wallet_id
string
required

Query Parameters

limit
integer
default:100

Maximum orders to return.

Example:

100

offset
integer
default:0

Pagination offset.

Example:

0

Response

200 - application/json

Solana orders